Timesheets
Cancel a timesheet
Cancel a timesheet referenced by its ID, and any timesheets after it pending approval belonging to the same timesheet owner.
Can only be performed by the author of the timesheet submit step, and while the timesheet is in a pending status.
POST
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Path Parameters
timesheet id
Body
The body is of type any.
Response
OK
Unique id of the WorkflowItem.
Any human readable error message.
The Timesheet the WorkflowItem is related on starting date (included).
Pattern:
yyyy-MM-ddThe Timesheet the WorkflowItem is related on ending date (excluded).
Pattern:
yyyy-MM-ddA Directory 'User'. See API reference for up-to-date attributes.
- "success" for a succesfull workflow operation.
- "error" if any error was met, and therefore an excetion message is set.
- "noAction" if the workflow operation was not performed.